Table of Contents

Module: pureber | Twisted-0.17.4/twisted/protocols/pureber.py
--- | ---

Pure, simple, BER encoding and decoding

Imported modules |
--- | ---
import UserDict import UserList import string from twisted.python.mutablestring import MutableString import types
Functions |
ber2int ber2object berlen2int int2ber int2berlen need
| ber2int

    ber2int ( e,  signed=1 )

| ber2object

    ber2object ( context,  m )

ber2object(mutablestring) -> berobject Modifies mutablestring to remove decoded part. May give None

Exceptions |
--- | ---
"BERDecoderContext %s has no tag 0x%02x" %( context, i )

| berlen2int

    berlen2int ( m )

| int2ber

    int2ber ( i )

| int2berlen

    int2berlen ( i )

| need

    need ( buf,  n )

Exceptions |
--- | ---
BERExceptionInsufficientData, d

Classes |

BERBase |
BERBoolean |
BERDecoderContext |
BEREnumerated |
BERException |
BERExceptionInsufficientData |
BERInteger |
BERNull |
BEROctetString |
BERSequence |
BERSequenceOf |
BERSet |
BERStructured |

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0